Subject: GUI and -subsystem windows
From: [email-masked] ("R. Wester")

7 Apr 1997 00:31:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
X-ENV: (mailgw1.fhg.de) [email-masked] -> [email-masked]
Comments: Authenticated sender is <[email-masked]>
Original-To: [email-masked]
X-Mailer: Pegasus Mail for Win32 (v2.42a)
Original-Sender: [email-masked]

Hi,

I tried to link a GUI Application (I used the V C++ class library)
with the  following commands:

g++ -c f.o -o f --subsystem windows -lkernel32
gcc: windows: No such file or directory

g++ -c f.o  -o f  -subsystem windows -lkernel32
gcc: windows: No such file or directory
gcc: unrecognized option -subsystem

ld -o f  f.o  -subsystem windows -lkernel32
/cygnus/H-I386~1/BIN/LD.EXE: cannot open -kernel32: No such file 
             or directory

Can anybody give me a hint how to link succesfully.

Besides this I have another problem. Why does
 int  __stdcall  *pi(int j);
compile but not
 int  * __stdcall  *pi(int j);
which gives the error message:
 syntax error before  '__attribute__' 

I would be very appreciative for any help.

Thanks in advance

--Rolf

[email-masked]

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".